<?xml version="1.0" encoding="UTF-8"?>
<rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns="http://purl.org/rss/1.0/" xmlns:taxo="http://purl.org/rss/1.0/modules/taxonomy/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:syn="http://purl.org/rss/1.0/modules/syndication/" xmlns:admin="http://webns.net/mvcb/">
  <channel rdf:about="http://blog.gmane.org/gmane.comp.audio.cmus.devel">
    <title>gmane.comp.audio.cmus.devel</title>
    <link>http://blog.gmane.org/gmane.comp.audio.cmus.devel</link>
    <description/>
    <syn:updatePeriod>hourly</syn:updatePeriod>
    <syn:updateFrequency>1</syn:updateFrequency>
    <syn:updateBase>1901-01-01T00:00+00:00</syn:updateBase>
    <items>
      <rdf:Seq>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.audio.cmus.devel/636"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.audio.cmus.devel/629"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.audio.cmus.devel/621"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.audio.cmus.devel/613"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.audio.cmus.devel/610"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.audio.cmus.devel/606"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.audio.cmus.devel/604"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.audio.cmus.devel/599"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.audio.cmus.devel/597"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.audio.cmus.devel/595"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.audio.cmus.devel/593"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.audio.cmus.devel/590"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.audio.cmus.devel/582"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.audio.cmus.devel/580"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.audio.cmus.devel/574"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.audio.cmus.devel/566"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.audio.cmus.devel/564"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.audio.cmus.devel/546"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.audio.cmus.devel/544"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.audio.cmus.devel/544"/>
      </rdf:Seq>
    </items>
    <image rdf:resource="http://gmane.org/img/gmane-25t.png"/>
    <textinput rdf:resource=""/>
  </channel>
  <image rdf:about="http://gmane.org/img/gmane-25t.png">
    <title>Gmane</title>
    <url>http://gmane.org/img/gmane-25t.png</url>
    <link>http://gmane.org</link>
  </image>
  <item rdf:about="http://comments.gmane.org/gmane.comp.audio.cmus.devel/636">
    <title>Composer Tag Support</title>
    <link>http://comments.gmane.org/gmane.comp.audio.cmus.devel/636</link>
    <description>&lt;pre&gt;Just started using cmus and I love it other than one thing...
Lack of support for the composer tag. I see on the wiki that someone
is working on this and was wondering if that is still the case. Wikis
can sometimes get out of date is why I ask.

If it is, if that developer needs any help, I'd be happy to lend a
hand.

If it isn't true, I'd be willing to take a crack at it.

------------------------------------------------------------------------------
Live Security Virtual Conference
Exclusive live event will cover all the ways today's security and 
threat landscape has changed and how IT managers can respond. Discussions 
will include endpoint security, mobile security and the latest in malware 
threats. http://www.accelacomm.com/jaw/sfrnl04242012/114/50122263/

&lt;/pre&gt;</description>
    <dc:creator>docgnome</dc:creator>
    <dc:date>2012-05-25T21:06:41</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.audio.cmus.devel/629">
    <title>Compiling cmus on Windows</title>
    <link>http://comments.gmane.org/gmane.comp.audio.cmus.devel/629</link>
    <description>&lt;pre&gt;Hi.
I tried to install cmus from the pu branch on Windows (Cygwin), but to no
avail.

$ ./configure CONFIG_CDDB=n CONFIG_CDIO=n CONFIG_DISCID=n CONFIG_MODPLUG=n
CONFIG_MIKMOD=n CONFIG_MPC=n CONFIG_MP4=n CONFIG_AAC=n CONFIG_FFMPEG=n
CONFIG_CUE=n CONFIG_ROAR=n CONFIG_ALSA=n CONFIG_ARTS=n CONFIG_OSS=n
CONFIG_SUN=n
checking for program gcc... /usr/bin/gcc
checking for program gcc... /usr/bin/gcc
checking for CFLAGS -std=gnu99 -pipe -Wall -Wshadow -Wcast-align
-Wpointer-arith -Wwrite-strings -Wundef -Wmissing-prototypes
-Wredundant-decls -Wextra -Wno-sign-compare -Wformat-security... yes
checking for CFLAGS -Wdeclaration-after-statement... yes
checking for CFLAGS -Wold-style-definition... yes
checking for CFLAGS -Wno-pointer-sign... yes
checking for CFLAGS -Werror-implicit-function-declaration... yes
checking for CFLAGS -Wno-unused-parameter... yes
checking if CC can generate dependency information... yes
checking byte order... little-endian
checking for DL_LIBS (-ldl -Wl,--export-dynamic)... yes
checking for PTHREAD_LIBS (-lpthread)... yes
checking for realtime scheduling... yes
checking for NCURSES_LIBS (-lncursesw)... yes
checking for working ncurses setup... yes
checking for function resizeterm... yes
checking for function use_default_colors... yes
checking for ICONV_LIBS (-liconv)... yes
taking iconv from libiconv
checking for working iconv... yes
checking for header &amp;lt;byteswap.h&amp;gt;... yes
checking for function strdup... yes
checking for function strndup... yes
checking for program pkg-config... /usr/bin/pkg-config
checking for FLAC_LIBS (pkg-config)... -lFLAC -lm
checking for FLAC_CFLAGS (pkg-config)... -I/usr/include/FLAC
checking for MAD_LIBS (pkg-config)... -lmad
checking for MAD_CFLAGS (pkg-config)...
checking for VORBIS_LIBS (pkg-config)... -lvorbisfile -lvorbis -lm -logg
checking for VORBIS_CFLAGS (pkg-config)...
checking for WAVPACK_LIBS (pkg-config)... -lwavpack -liconv
checking for WAVPACK_CFLAGS (pkg-config)...
checking for PULSE_LIBS (pkg-config)... -lpulse -lpulsecommon-1.1
checking for PULSE_CFLAGS (pkg-config)... -D_REENTRANT
checking for AO_LIBS (pkg-config)... -lao -lpthread -lwinmm
checking for AO_CFLAGS (pkg-config)...
checking for WAVEOUT_LIBS (-lwinmm)... yes
updating config.mk

$ make
   CC     ape.o
   CC     browser.o
   CC     buffer.o
   CC     cache.o
   CC     cmdline.o
   CC     cmus.o
   CC     command_mode.o
   CC     comment.o
   CC     channelmap.o
   CC     convert.lo
convert.c:1:0: warning: -fPIC ignored for target (all code is position
independent)
   CC     debug.o
   CC     discid.o
   CC     editable.o
   CC     expr.o
   CC     filters.o
   CC     format_print.o
   CC     gbuf.o
   CC     glob.o
   CC     help.o
   CC     history.o
   CC     http.o
   CC     id3.o
   GEN    .version
   CC     input.o
   CC     job.o
   CC     keys.o
   CC     keyval.o
   CC     lib.o
   CC     load_dir.o
   CC     locking.o
   CC     mergesort.o
   CC     misc.o
   CC     options.o
   CC     output.o
   CC     pcm.o
   CC     pl.o
   CC     play_queue.o
   CC     player.o
   CC     rbtree.o
   CC     read_wrapper.o
   CC     server.o
   CC     search.o
   CC     search_mode.o
   CC     spawn.o
   CC     tabexp.o
   CC     tabexp_file.o
   CC     track.o
   CC     track_info.o
   CC     tree.o
   CC     u_collate.o
   CC     uchar.o
   CC     ui_curses.o
   CC     window.o
   CC     worker.o
   CC     xstrjoin.o
   CC     file.o
   CC     path.o
   CC     prog.o
   CC     xmalloc.o
   LD     cmus
/usr/lib/gcc/i686-pc-cygwin/4.5.3/../../../../i686-pc-cygwin/bin/ld:
warning: --export-dynamic is not supported for PE targets, did you mean
--export-all-symbols?
   CC     main.o
   LD     cmus-remote
   CC     flac.lo
flac.c:1:0: warning: -fPIC ignored for target (all code is position
independent)
gcc -shared -o cmus.exe -Wl,--out-implib=libcmus.a
-Wl,--base-file,cmus.base \
        -Wl,--export-all-symbols -Wl,--no-whole-archive ape.o browser.o
buffer.o cache.o cmdline.o cmus.o command_mode.o comment.o channelmap.o
convert.lo debug.o discid.o editable.o expr.o filters.o format_print.o
gbuf.o glob.o help.o history.o http.o id3.o input.o job.o keys.o keyval.o
lib.o load_dir.o locking.o mergesort.o misc.o options.o output.o pcm.o pl.o
play_queue.o player.o rbtree.o read_wrapper.o server.o search.o
search_mode.o spawn.o tabexp.o tabexp_file.o track.o track_info.o tree.o
u_collate.o uchar.o ui_curses.o window.o worker.o xstrjoin.o file.o path.o
prog.o xmalloc.o -lpthread -lncursesw -liconv -ldl -Wl,--export-dynamic
-lm
Creating library file: libcmus.a
/usr/lib/gcc/i686-pc-cygwin/4.5.3/../../../../i686-pc-cygwin/bin/ld:
warning: --export-dynamic is not supported for PE targets, did you mean
--export-all-symbols?
dlltool --output-def cmus.def --dllname cmus.exe --export-all-symbols ape.o
browser.o buffer.o cache.o cmdline.o cmus.o command_mode.o comment.o
channelmap.o convert.lo debug.o discid.o editable.o expr.o filters.o
format_print.o gbuf.o glob.o help.o history.o http.o id3.o input.o job.o
keys.o keyval.o lib.o load_dir.o locking.o mergesort.o misc.o options.o
output.o pcm.o pl.o play_queue.o player.o rbtree.o read_wrapper.o server.o
search.o search_mode.o spawn.o tabexp.o tabexp_file.o track.o track_info.o
tree.o u_collate.o uchar.o ui_curses.o window.o worker.o xstrjoin.o file.o
path.o prog.o xmalloc.o
dlltool --base-file cmus.base --dllname cmus.exe --input-def cmus.def
--output-exp cmus.exp
gcc -o cmus.exe -Wl,cmus.exp ape.o browser.o buffer.o cache.o cmdline.o
cmus.o command_mode.o comment.o channelmap.o convert.lo debug.o discid.o
editable.o expr.o filters.o format_print.o gbuf.o glob.o help.o history.o
http.o id3.o input.o job.o keys.o keyval.o lib.o load_dir.o locking.o
mergesort.o misc.o options.o output.o pcm.o pl.o play_queue.o player.o
rbtree.o read_wrapper.o server.o search.o search_mode.o spawn.o tabexp.o
tabexp_file.o track.o track_info.o tree.o u_collate.o uchar.o ui_curses.o
window.o worker.o xstrjoin.o file.o path.o prog.o xmalloc.o -lpthread
-lncursesw -liconv -ldl -Wl,--export-dynamic   -lm
/usr/lib/gcc/i686-pc-cygwin/4.5.3/../../../../i686-pc-cygwin/bin/ld:
warning: --export-dynamic is not supported for PE targets, did you mean
--export-all-symbols?
   LD     flac.so
   CC     mad.lo
mad.c:1:0: warning: -fPIC ignored for target (all code is position
independent)
   CC     nomad.lo
nomad.c:1:0: warning: -fPIC ignored for target (all code is position
independent)
   LD     mad.so
   CC     vorbis.lo
vorbis.c:1:0: warning: -fPIC ignored for target (all code is position
independent)
   LD     vorbis.so
   CC     wavpack.lo
wavpack.c:1:0: warning: -fPIC ignored for target (all code is position
independent)
   LD     wavpack.so
   CC     wav.lo
wav.c:1:0: warning: -fPIC ignored for target (all code is position
independent)
   LD     wav.so
   CC     pulse.lo
pulse.c:1:0: warning: -fPIC ignored for target (all code is position
independent)
   LD     pulse.so
   CC     ao.lo
ao.c:1:0: warning: -fPIC ignored for target (all code is position
independent)
   LD     ao.so
   CC     waveout.lo
waveout.c:1:0: warning: -fPIC ignored for target (all code is position
independent)
waveout.c: In function 'waveout_get_option':
waveout.c:283:3: error: implicit declaration of function 'snprintf'
waveout.c:283:3: warning: incompatible implicit declaration of built-in
function 'snprintf'
scripts/lib.mk:76: recipe for target `waveout.lo' failed
make: *** [waveout.lo] Error 1

Is this possible to run cmus on Windows? Was it tested?
What compiler/parameters should I use?
------------------------------------------------------------------------------
Live Security Virtual Conference
Exclusive live event will cover all the ways today's security and 
threat landscape has changed and how IT managers can respond. Discussions 
will include endpoint security, mobile security and the latest in malware 
threats. http://www.accelacomm.com/jaw/sfrnl04242012/114/50122263/&lt;/pre&gt;</description>
    <dc:creator>Semen</dc:creator>
    <dc:date>2012-05-23T16:57:18</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.audio.cmus.devel/621">
    <title>Feature request</title>
    <link>http://comments.gmane.org/gmane.comp.audio.cmus.devel/621</link>
    <description>&lt;pre&gt;Hi.
Could you add an ability to quit from cmus without playback stopping?
------------------------------------------------------------------------------
Live Security Virtual Conference
Exclusive live event will cover all the ways today's security and 
threat landscape has changed and how IT managers can respond. Discussions 
will include endpoint security, mobile security and the latest in malware 
threats. http://www.accelacomm.com/jaw/sfrnl04242012/114/50122263/&lt;/pre&gt;</description>
    <dc:creator>Semen</dc:creator>
    <dc:date>2012-05-20T06:33:05</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.audio.cmus.devel/613">
    <title>[PATCH 1/4] add ffmpeg test script</title>
    <link>http://comments.gmane.org/gmane.comp.audio.cmus.devel/613</link>
    <description>&lt;pre&gt;This script enables automatic testing of the cmus ffmpeg plugin against
thousands of (relevant) revisions of FFmpeg. Only for (devoted)
developers :-).
---
 scripts/ffmpeg_test.sh |  220 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 220 insertions(+)
 create mode 100755 scripts/ffmpeg_test.sh

diff --git a/scripts/ffmpeg_test.sh b/scripts/ffmpeg_test.sh
new file mode 100755
index 0000000..927b213
--- /dev/null
+++ b/scripts/ffmpeg_test.sh
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -0,0 +1,220 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt;
+#!/bin/bash
+# vim: set expandtab shiftwidth=4:
+#
+# Copyright 2010-2012 Various Authors
+# Copyright 2012 Johannes Weißl
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, see &amp;lt;http://www.gnu.org/licenses/&amp;gt;.
+
+# many (!) FFmpeg versions will be installed here, at least 25GB
+FFMPEG_BUILD_DIR=$HOME/cmus_ffmpeg_test/ffmpeg_builds
+
+# ffmpeg/libav source will be cloned into this directory
+FFMPEG_SRC_DIR=$HOME/cmus_ffmpeg_test/ffmpeg_src
+
+# source code of cmus is expected here
+CMUS_SRC_DIR=$HOME/cmus_ffmpeg_test/cmus_src
+
+# cmus versions will be installed here
+CMUS_BUILD_DIR=$HOME/cmus_ffmpeg_test/cmus_builds
+
+FFMPEG_CLONE_URL=git://source.ffmpeg.org/ffmpeg.git
+LIBAV_CLONE_URL=git://git.libav.org/libav.git
+
+# headers of ffmpeg that are relevant to cmus compilation
+HEADERS="avcodec.h avformat.h avio.h mathematics.h version.h"
+
+# argument to make -j
+MAKE_J=$(grep -c "^processor" /proc/cpuinfo 2&amp;gt;/dev/null || echo 1)
+
+print_usage () {
+    echo "Usage: $progname build_ffmpeg | build_libav | build_cmus | test_cmus"
+    echo
+    echo "build_{ffmpeg,libav}:"
+    echo " 1. clone/pull source into $FFMPEG_SRC_DIR/{ffmpeg,libav}"
+    echo " 2. build and install (necessary) revisions into $FFMPEG_BUILD_DIR"
+    echo "    can take days and needs up to 25 GB hard disk (!)"
+    echo "    you can use ctrl-c to stop the script and run it later to continue"
+    echo
+    echo "build_cmus:"
+    echo " 1. expects cmus source in $CMUS_SRC_DIR"
+    echo " 2. build cmus for every revision in $FFMPEG_BUILD_DIR and install"
+    echo "    to $CMUS_BUILD_DIR"
+    echo
+    echo "test_cmus:"
+    echo " test ffmpeg plugin of every cmus build in $CMUS_BUILD_DIR"
+}
+
+function get_commits () {
+    for name in "$&amp;lt; at &amp;gt;" ; do
+        find -type f -name "$name" -exec git log --follow --pretty=format:"%H%n" {} \;
+    done
+    for tag in $(git tag) ; do
+        git show "$tag" | sed -n "s/^commit //p"
+    done
+}
+
+function uniq_stable () {
+    nl -ba | sort -suk2 | sort -n | cut -f2-
+}
+
+DONE=
+trap 'DONE=1' SIGINT
+
+function build_to_prefix () {
+    prefix=$1
+    cur=$2
+    all=$3
+    cur_name=$4
+    build_cmd=$5
+    echo -n "[$((cur*100/all))%] "
+    if [ -e "$prefix.broken" ] ; then
+        echo "skip $cur_name, broken"
+    elif [ -e "$prefix.part" ] ; then
+        echo "skip $cur_name, is being build"
+    else
+        if [ -e "$prefix" ] ; then
+            echo "skip $cur_name, already built"
+        else
+            echo -n "build and install to $prefix: "
+            echo $build_cmd &amp;gt;"$prefix.log"
+            (mkdir -p "$prefix.part" &amp;amp;&amp;amp; eval $build_cmd &amp;amp;&amp;amp; mv "$prefix.part/$prefix" "$prefix" &amp;amp;&amp;amp; rm -rf "$prefix.part") &amp;gt;&amp;gt;"$prefix.log" 2&amp;gt;&amp;amp;1 &amp;amp;&amp;amp; echo "ok" ||
+                    (touch "$prefix.broken" ; echo "FAILED:" ; echo $build_cmd)
+        fi
+    fi
+    [ -n "$DONE" ] &amp;amp;&amp;amp; rm -rvf "$prefix" "$prefix".part "$prefix".broken
+}
+
+function build_revisions () {
+    name=$1
+    url=$2
+    mkdir -p "$FFMPEG_SRC_DIR" "$FFMPEG_BUILD_DIR"
+    FFMPEG_SRC_DIR=$FFMPEG_SRC_DIR/$name
+    if [ -e "$FFMPEG_SRC_DIR" ] ; then
+        echo "pull $url in $FFMPEG_SRC_DIR"
+        pushd "$FFMPEG_SRC_DIR" &amp;gt;/dev/null
+        git reset --hard origin/master &amp;gt;/dev/null
+        git clean -fxd &amp;gt;/dev/null
+        git pull &amp;gt;/dev/null
+    else
+        echo "clone $url in $FFMPEG_SRC_DIR"
+        git clone "$url" "$FFMPEG_SRC_DIR" &amp;gt;/dev/null
+        pushd "$FFMPEG_SRC_DIR" &amp;gt;/dev/null
+    fi
+    commits=$(get_commits $HEADERS | uniq_stable)
+    commits_count=$(echo $commits | wc -w)
+    i=0
+    for c in $commits ; do
+        i=$((i+1))
+        git reset --hard "$c" &amp;gt;/dev/null
+        git clean -fxd &amp;gt;/dev/null
+        prefix="$FFMPEG_BUILD_DIR/$c"
+        build_to_prefix "$prefix" "$i" "$commits_count" "$c" \
+            "./configure --prefix=\"$prefix.part\" --enable-shared --disable-static &amp;amp;&amp;amp; make -j$MAKE_J &amp;amp;&amp;amp; make install"
+        [ -n "$DONE" ] &amp;amp;&amp;amp; break
+    done
+    popd &amp;gt;/dev/null
+}
+
+build_cmus () {
+    pushd "$CMUS_SRC_DIR" &amp;gt;/dev/null
+    mkdir -p "$CMUS_BUILD_DIR"
+    revdirs=$(find "$FFMPEG_BUILD_DIR" -mindepth 1 -maxdepth 1 -type d ! -name "*.part")
+    revdirs_count=$(echo $revdirs | wc -w)
+    i=0
+    for revdir in $revdirs ; do
+        i=$((i+1))
+        rev=$(basename "$revdir")
+        prefix="$CMUS_BUILD_DIR/$rev"
+        make distclean &amp;gt;/dev/null 2&amp;gt;&amp;amp;1
+        build_to_prefix "$prefix" "$i" "$revdirs_count" "$rev" \
+            "CFLAGS=\"-I$revdir/include\" LDFLAGS=\"-L$revdir/lib\" ./configure prefix=\"$prefix\" CONFIG_FFMPEG=y DEBUG=2 &amp;amp;&amp;amp; make -j$MAKE_J &amp;amp;&amp;amp; make install DESTDIR=\"$prefix.part\""
+        [ -n "$DONE" ] &amp;amp;&amp;amp; break
+    done
+    popd &amp;gt;/dev/null
+}
+
+test_cmus () {
+    mkdir -p "$CMUS_BUILD_DIR"
+    revdirs=$(find "$CMUS_BUILD_DIR" -mindepth 1 -maxdepth 1 -type d ! -name "*.part")
+    revdirs_count=$(echo $revdirs | wc -w)
+    i=0
+    for revdir in $revdirs ; do
+        i=$((i+1))
+        rev=$(basename "$revdir")
+        tmpdir=$(mktemp -d)
+        lib_prefix=$FFMPEG_BUILD_DIR/$rev
+        echo -n "[$((i*100/revdirs_count))%] test $revdir: "
+        if CMUS_HOME=$tmpdir LD_LIBRARY_PATH=$lib_prefix/lib:$LD_LIBRARY_PATH "$revdir"/bin/cmus --plugins | grep -q "^ *ffmpeg" ; then
+            echo "working"
+        else
+            echo "not working: "
+            echo "CMUS_HOME=$tmpdir LD_LIBRARY_PATH=$lib_prefix/lib:$LD_LIBRARY_PATH \"$revdir\"/bin/cmus --plugins"
+            cat $tmpdir/cmus-debug.txt
+        fi
+        rm "$tmpdir"/cmus-debug.txt
+        rmdir "$tmpdir"
+        [ -n "$DONE" ] &amp;amp;&amp;amp; break
+    done
+}
+
+progname=$(basename "$0")
+
+while [ $# -gt 0 ] ; do
+    case "$1" in
+        -h | --help)
+            print_usage
+            exit 0
+            ;;
+         --)
+            shift ; break
+            ;;
+        -*)
+            echo &amp;gt;&amp;amp;2 "$progname: unrecognized option \`$1'"
+            echo &amp;gt;&amp;amp;2 "Try \`$0 --help' for more information."
+            exit 1
+            ;;
+        *)
+            break
+            ;;
+    esac
+done
+
+if [ $# -eq 0 ] ; then
+    print_usage
+    exit 0
+elif [ $# -gt 1 ] ; then
+    echo &amp;gt;&amp;amp;2 "$progname: too many arguments"
+    echo &amp;gt;&amp;amp;2 "Try \`$0 --help' for more information."
+    exit 1
+fi
+
+case "$1" in
+    build_ffmpeg)
+        build_revisions ffmpeg "$FFMPEG_CLONE_URL"
+        ;;
+    build_libav)
+        build_revisions libav "$LIBAV_CLONE_URL"
+        ;;
+    build_cmus)
+        build_cmus
+        ;;
+    test_cmus)
+        test_cmus
+        ;;
+    *)
+        echo &amp;gt;&amp;amp;2 "$progname: unrecognized command \`$1'"
+        echo &amp;gt;&amp;amp;2 "Try \`$0 --help' for more information."
+        exit 1
+esac
&lt;/pre&gt;</description>
    <dc:creator>Johannes Weißl</dc:creator>
    <dc:date>2012-05-15T19:36:06</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.audio.cmus.devel/610">
    <title>Cmus and .m3u files</title>
    <link>http://comments.gmane.org/gmane.comp.audio.cmus.devel/610</link>
    <description>&lt;pre&gt;Hi,
Does cmus support .m3us if not, I would like to make a feature
request :)
Thanks
Storm
&lt;/pre&gt;</description>
    <dc:creator>Storm Dragon</dc:creator>
    <dc:date>2012-05-15T16:52:05</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.audio.cmus.devel/606">
    <title>Feature request</title>
    <link>http://comments.gmane.org/gmane.comp.audio.cmus.devel/606</link>
    <description>&lt;pre&gt;Hi!
Could you add ALBUMSORT tag support (TSOA frame in ID3)?

And what about CUE sheets support? I don't use CUEs currently, I just tried
to test this feauture but I can't load any CUE sheet in cmus...

I suppose cmus should load CUEs automatically when user adds music to
library (It should support both internal CUEs ("CUESHEET" tag) and external
with option in settings "Prefer internal or external CUE"). I think that it
is hard to implement such ideal behaviour, especially with current library
format.

P.S. Execuse me for my poor English.
------------------------------------------------------------------------------
Live Security Virtual Conference
Exclusive live event will cover all the ways today's security and 
threat landscape has changed and how IT managers can respond. Discussions 
will include endpoint security, mobile security and the latest in malware 
threats. http://www.accelacomm.com/jaw/sfrnl04242012/114/50122263/&lt;/pre&gt;</description>
    <dc:creator>Semen</dc:creator>
    <dc:date>2012-05-14T13:42:04</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.audio.cmus.devel/604">
    <title>cmus cannot show Track</title>
    <link>http://comments.gmane.org/gmane.comp.audio.cmus.devel/604</link>
    <description>&lt;pre&gt;the accessory is screenshot, I want know what's should be configured or something wrong?thanks!------------------------------------------------------------------------------
Live Security Virtual Conference
Exclusive live event will cover all the ways today's security and 
threat landscape has changed and how IT managers can respond. Discussions 
will include endpoint security, mobile security and the latest in malware 
threats. http://www.accelacomm.com/jaw/sfrnl04242012/114/50122263/&lt;/pre&gt;</description>
    <dc:creator>Marslo</dc:creator>
    <dc:date>2012-05-10T20:55:17</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.audio.cmus.devel/599">
    <title>How to disable call of status-display program when music is simplypaused &amp; resumed?</title>
    <link>http://comments.gmane.org/gmane.comp.audio.cmus.devel/599</link>
    <description>&lt;pre&gt;Hi all,

I have done a brief look at the source codes but come up with nothing.
------------------------------------------------------------------------------
Live Security Virtual Conference
Exclusive live event will cover all the ways today's security and 
threat landscape has changed and how IT managers can respond. Discussions 
will include endpoint security, mobile security and the latest in malware 
threats. http://www.accelacomm.com/jaw/sfrnl04242012/114/50122263/&lt;/pre&gt;</description>
    <dc:creator>ConcreteVitamin</dc:creator>
    <dc:date>2012-04-28T11:16:05</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.audio.cmus.devel/597">
    <title>color scheme in cmus-2.4.3-osx.png</title>
    <link>http://comments.gmane.org/gmane.comp.audio.cmus.devel/597</link>
    <description>&lt;pre&gt;In http://cmus.sourceforge.net/cmus-2.4.3-osx.png

Is that a cmus color scheme or the terminal's settings?

------------------------------------------------------------------------------
Better than sec? Nothing is better than sec when it comes to
monitoring Big Data applications. Try Boundary one-second 
resolution app monitoring today. Free.
http://p.sf.net/sfu/Boundary-dev2dev

&lt;/pre&gt;</description>
    <dc:creator>Carsten Mattner</dc:creator>
    <dc:date>2012-04-05T19:31:08</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.audio.cmus.devel/595">
    <title>Feature request, play directory</title>
    <link>http://comments.gmane.org/gmane.comp.audio.cmus.devel/595</link>
    <description>&lt;pre&gt;Hi,
I would like to be able to play an entire album at once, and I have my
Albums in sub directories under artist names. So, for example, I have
DragonForce/Ultra Beatdown. Would it be possible to make it so that in
view 5 if I put the cursor on Ultra Beatdown and press x that it would
search through Ultra Beatdown/ and play any music file it finds? Or is
there already a way to do what I am asking for?
Thanks
Storm
&lt;/pre&gt;</description>
    <dc:creator>Storm Dragon</dc:creator>
    <dc:date>2012-04-05T04:18:41</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.audio.cmus.devel/593">
    <title>Can't switch views / play songs / etc. cmus 2.4.3</title>
    <link>http://comments.gmane.org/gmane.comp.audio.cmus.devel/593</link>
    <description>&lt;pre&gt;I compiled cmus 2.4.3 from source on my debian testing system a few months
ago, since there were some dependency issues installing from the package.
It worked fine for many months, but now somethings wrong. I am unable to
switch views using 1-7. I am able to search my library using / , but am
unable to play songs. Before I removed my cache, library, etc. I thought I
might report a bug here.

Regards
------------------------------------------------------------------------------
This SF email is sponsosred by:
Try Windows Azure free for 90 days Click Here 
http://p.sf.net/sfu/sfd2d-msazure&lt;/pre&gt;</description>
    <dc:creator>Colin Williams</dc:creator>
    <dc:date>2012-04-02T05:41:53</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.audio.cmus.devel/590">
    <title>Can Cmus Do This?</title>
    <link>http://comments.gmane.org/gmane.comp.audio.cmus.devel/590</link>
    <description>&lt;pre&gt;Hi,
I am trying to build sound capabilities into a mud client trigger pack.
I am making a soundpack and background music/ambiance for Alter Aeon,
http://www.alteraeon.com/
For command sounds like fireballs, sword slashes, etc I am using sox
because they are just quick clips that take less than a second to play.
Sox also works for ambiance sounds, like in a forest playing bird sounds
and having them pan from one side to the other so it sounds like things
are in different places around you.
The really dificult part, so I am finding, is playing a background sound
for the area. Like, for example, if you are near a stream and the
terrain is stream I would need to play (loop) a bit of running water
sound. But, terrain can change at any time, so if you move to forest, I
need to stop the running water file and load the forest file. It's easy
to do by hand but not so much with code in this trigger pack lol.
So, after all this rambling, my question is, can I get cmus to launch
with no gui, play a file, set volume, and stop playing remotely from
within another program? If so, how do I do it. If it is not possible, do
you know of anything that may work for this?
Thanks
Storm
&lt;/pre&gt;</description>
    <dc:creator>Storm Dragon</dc:creator>
    <dc:date>2012-03-24T23:54:03</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.audio.cmus.devel/582">
    <title>cmus-lyrics - a simple lyrics viewer for cmus</title>
    <link>http://comments.gmane.org/gmane.comp.audio.cmus.devel/582</link>
    <description>&lt;pre&gt;Hello,

I wrote a simple lyrics viewer for cmus.

Features:
- Ncurses UI
- Downloads lyrics from LyricsWiki
- Cache for downloaded lyrics
- Automatically update when song in cmus changes

More informations are on GitHub project page:
https://github.com/ok100/cmus-lyrics

Best regards

&lt;/pre&gt;</description>
    <dc:creator>OK</dc:creator>
    <dc:date>2012-03-12T11:23:06</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.audio.cmus.devel/580">
    <title>cue support</title>
    <link>http://comments.gmane.org/gmane.comp.audio.cmus.devel/580</link>
    <description>&lt;pre&gt;Hi all,

I've started to test the cue support recently and in general it works 
perfectly! I'm really looking forward to seeing it in a release of cmus. Today 
I've noticed one minor thing though: Whenever I call win-update to update my 
library (bound to "u" by default) the entries corresponding to a flac+cue pair 
disappear. Is there a reason for this behavior? If not it would be great if 
this could be fixed.

Let me use this opportunity to heartily thank the developers of cmus for all 
the work they've done. I've been using cmus for almost four years now (in fact 
ever since I've switched from Windows to Linux), it has always served me 
perfectly and still it manages to get better with every release (limiting 
a.k.a. live-filtering is really a killer feature!). Thank you!

Regards,
Philipp

------------------------------------------------------------------------------
Virtualization &amp;amp; Cloud Management Using Capacity Planning
Cloud computing makes use of virtualization - but cloud computing 
also focuses on allowing computing to be delivered as a service.
http://www.accelacomm.com/jaw/sfnl/114/51521223/

&lt;/pre&gt;</description>
    <dc:creator>Philipp Hartwig</dc:creator>
    <dc:date>2012-03-07T09:23:16</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.audio.cmus.devel/574">
    <title>Plugin for osd-lyrics</title>
    <link>http://comments.gmane.org/gmane.comp.audio.cmus.devel/574</link>
    <description>&lt;pre&gt;Hello,

I've been recently using cmus, and I like it.

There is a program to display lyrics called osd-lyrics which uses 
plugins to integrate with audio players. I want to write one for cmus, 
but it requires a way to get currently playing song's information.

It seems to use polling, instead of receiving a notification (but I 
could cache the information from status-display-program in the plugin). 
The problem is that the information isn't enough: notification of seeks 
is required to synchronize the highlighted part of the lyrics with the 
song. So there are at least two solutions:

1. Add an option for notifying of seeks in status-display-program.
2. Add a command (so it can be called from cmus-remote) to print the 
currently playing song's path, title, artist, album, duration and 
position, in an easy to parse way like "path = %s\ntitle = %s\n...".

I would prefer the second one, as a pipe to cmus-remote has to be kept 
open anyways (to control cmus from osd-lyrics) and it doesn't require 
manual user configuration.

What do you think about this?

Thanks and Regards,
Ale

------------------------------------------------------------------------------
Virtualization &amp;amp; Cloud Management Using Capacity Planning
Cloud computing makes use of virtualization - but cloud computing 
also focuses on allowing computing to be delivered as a service.
http://www.accelacomm.com/jaw/sfnl/114/51521223/

&lt;/pre&gt;</description>
    <dc:creator>Alejandro Pulver</dc:creator>
    <dc:date>2012-03-02T21:06:57</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.audio.cmus.devel/566">
    <title>found what i've been looking for</title>
    <link>http://comments.gmane.org/gmane.comp.audio.cmus.devel/566</link>
    <description>&lt;pre&gt;Hi,

since the developement on xmms was stopped, i was looking for a good 
player. i tried almost everything but nothing satisfied me. i always 
believed that a music player needs a click-gui.
BUT: now i have found what i was looking for. cmus is really great. 
since i love vi(m) too, its easy to navigate for me. it's very stable, 
fast and does not need much memory. i really love this player. the 
multimedia-keys of my keyboard are using cmus-remote and i think they 
love cmus too ;-)
i also took a look at the source(just because i am a freak), and it 
seems to be very clear and nice for me. did i already say that i love cmus?




The only things i am really missing are:
------------------------------------------------------------------

1. an id3-Tag Editor. I mean, there are so nice ways to filter the 
music(in playlists and libraries and so on..) and the id3-tags but i 
didn't found a way to edit the id3-tags of a mp3 file in cmus. it would 
be very practical.

2. i am still looking for a way to jump to the actual-played file in the 
playlist. sometimes my randomly played playlist plays a title of a nice 
album and i want to check what songs are on this album else. then i have 
to search for..



PS: is it possible to use regex in the search and filters?



Greetings from a big fan
Hoti

------------------------------------------------------------------------------
Virtualization &amp;amp; Cloud Management Using Capacity Planning
Cloud computing makes use of virtualization - but cloud computing 
also focuses on allowing computing to be delivered as a service.
http://www.accelacomm.com/jaw/sfnl/114/51521223/

&lt;/pre&gt;</description>
    <dc:creator>Hoti</dc:creator>
    <dc:date>2012-02-09T17:23:23</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.audio.cmus.devel/564">
    <title>How to play as nature order by add dir order?</title>
    <link>http://comments.gmane.org/gmane.comp.audio.cmus.devel/564</link>
    <description>&lt;pre&gt;happy new year!
- i'm fresh OS X user from chinese,when i under Ubuntu ,plsy music with MOCP
- so enter OS X,only cmus can play music in consol perfect
- now, after cmus 2 weeks, had now question:
    - how to make cmuse play music as my add directory order?
    - just like moc:
        - my music is collation as artist with albums with directory
        - so i can easy add albums directory in file-browser view
        - but cmus play list is control by lib_sort
        - i set as lib_sort=filename albumartist date album discnumber
tracknumber title
        - so when i add some albums from some artist, cmus sorted
auto,and break my want order
        e.g:
        i add c1/a5,a7 ; b1/a2,a1
        i want play orgder: a5-&amp;gt;a7-&amp;gt;a2-&amp;gt;a1
        nut cmus ply as: a1-&amp;gt;a2-&amp;gt;a5-&amp;gt;a7
        because artist b1's name letter order is higher artist c1

thax for any suggest ;-)


ps: my env.
    + cmus v2.4.3
    + Darwin Kernel Version 11.2.0: Tue Aug  9 20:54:00 PDT 2011;
root:xnu-1699.24.8~1/RELEASE_X86_64 x86_64


&lt;/pre&gt;</description>
    <dc:creator>Zoom.Quiet</dc:creator>
    <dc:date>2012-01-30T03:32:49</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.audio.cmus.devel/546">
    <title>Filtering playlists</title>
    <link>http://comments.gmane.org/gmane.comp.audio.cmus.devel/546</link>
    <description>&lt;pre&gt;Hello,

are playlists currently filterable in cmus 2.4.0 (why is 2.4.0 the 
version of the pu branch?)? I have a playlist with my favorites and 
sometimes only want to listen to one specific band.

Regards,
   Paul

------------------------------------------------------------------------------
Write once. Port to many.
Get the SDK and tools to simplify cross-platform app development. Create 
new or port existing apps to sell to consumers worldwide. Explore the 
Intel AppUpSM program developer opportunity. appdeveloper.intel.com/join
http://p.sf.net/sfu/intel-appdev

&lt;/pre&gt;</description>
    <dc:creator>Paul Kramer</dc:creator>
    <dc:date>2012-01-10T14:56:43</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.audio.cmus.devel/544">
    <title>Bug: cmus stops playing mp3 files too early</title>
    <link>http://comments.gmane.org/gmane.comp.audio.cmus.devel/544</link>
    <description>&lt;pre&gt;Hello!

First a thank you for your great work on cmus!

Usually cmus works nicely for me but now I have a couple of mp3 files that causes problems. cmus seems to underestimate the duration of these files and stops playing too early (the duration displayed is also wrong). The point at which it stops depends on the file.
However vlc plays these files correctly (as well as calculation the right duration). It would be nice if you fix this. Thanks in advance.

cmus v2.4.3
libmad-0.15.1b-r6

If you need any further information, please let me know.

Cheers,
 Leo
&lt;/pre&gt;</description>
    <dc:creator>leo3&lt; at &gt;wir-haben-nachwuchs.de</dc:creator>
    <dc:date>2012-01-08T16:53:02</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.audio.cmus.devel/544">
    <title>Bug: cmus stops playing mp3 files too early</title>
    <link>http://comments.gmane.org/gmane.comp.audio.cmus.devel/544</link>
    <description>&lt;pre&gt;Hello!

First a thank you for your great work on cmus!

Usually cmus works nicely for me but now I have a couple of mp3 files that causes problems. cmus seems to underestimate the duration of these files and stops playing too early (the duration displayed is also wrong). The point at which it stops depends on the file.
However vlc plays these files correctly (as well as calculation the right duration). It would be nice if you fix this. Thanks in advance.

cmus v2.4.3
libmad-0.15.1b-r6

If you need any further information, please let me know.

Cheers,
 Leo
&lt;/pre&gt;</description>
    <dc:creator>leo3&lt; at &gt;wir-haben-nachwuchs.de</dc:creator>
    <dc:date>2012-01-08T16:53:02</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.audio.cmus.devel/544">
    <title>Bug: cmus stops playing mp3 files too early</title>
    <link>http://comments.gmane.org/gmane.comp.audio.cmus.devel/544</link>
    <description>&lt;pre&gt;Hello!

First a thank you for your great work on cmus!

Usually cmus works nicely for me but now I have a couple of mp3 files that causes problems. cmus seems to underestimate the duration of these files and stops playing too early (the duration displayed is also wrong). The point at which it stops depends on the file.
However vlc plays these files correctly (as well as calculation the right duration). It would be nice if you fix this. Thanks in advance.

cmus v2.4.3
libmad-0.15.1b-r6

If you need any further information, please let me know.

Cheers,
 Leo
&lt;/pre&gt;</description>
    <dc:creator>leo3&lt; at &gt;wir-haben-nachwuchs.de</dc:creator>
    <dc:date>2012-01-08T16:53:02</dc:date>
  </item>
  <textinput rdf:about="http://search.gmane.org/?group=$group=gmane.comp.audio.cmus.devel">
    <title>Search Engine</title>
    <description>Search the mailing list at Gmane</description>
    <name>query</name>
    <link>http://search.gmane.org/?group=$group=gmane.comp.audio.cmus.devel</link>
  </textinput>
</rdf:RDF>

